AnsweredAssumed Answered

Deployment of kernel versions greater than SDK 2.0 for T4240RDB

Question asked by Sedat Altun on Jun 9, 2019
Latest reply on Jun 10, 2019 by Pavel Chubakov

Hi,

I need to deploy linux kernel version 4.9 or 4.14 for T4240RDB.

Since the latest official kernel version is 4.1.35  published by NXP  from SDK 2.0 , I got the kernels for version gretater than 4.1.35  from nxp qoriq git repo

GitHub - qoriq-open-source/linux 

I tried 4.9 and 4.14 versions for T4240RDB but I could not succeed to enable the ethernet interfaces.

 

I followed the following steps:

1 - make corenet64_smp_defconfig

2 - make fsl/t4240rdb.dtb

3 - I am using the file system from SDK 2.0

Then I boot the board with new kernel and dtb images, there is no any problem during boot but there is no ethernet interfaces.

 

Is this a valid way to get kernel versions greater than SDK 2.0 for T4240rdb board ?

Any help is appreciated.

Thanks

Outcomes